Appearance
time-tracking-timestamps
Add timestamp
POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/in-out
Add a timestamp for an employee
Authorizations
ApiToken
Bearer token authentication. Create tokens in Settings > API Token.
Type
HTTP (bearer)
Parameters
Path Parameters
accountUuid*
Type
Requiredstring
Format
"uuid"employeeUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "date": "string", "startTime": "string", "endTime": "string", "comment": "string", "device": "string"
{
}
Responses
Successful response
application/json
JSON "data": { "uuid": "string", "date": "string", "startTime": "string", "endTime": "string", "startDateTime": "2024-01-14T20:20:00", "endDateTime": "2024-01-14T21:00:00", "startDevice": "string", "endDevice": "string", "type": "string", "comment": "string", "isClosed": true, "closedAt": "string", "closedAtDateTime": "2024-01-31T13:00:00", "duration": { "hours": "string", "minutes": "string" }, "createdAt": "string", "updatedAt": "string" }, "status": 201, "message": "string", "meta": { }
{
}